skype不能识别摄像头

为当前最终发行版之前的所有版本提供支持
回复
baaltommysu
帖子: 26
注册时间: 2010-10-15 23:29
送出感谢: 0
接收感谢: 0

skype不能识别摄像头

#1

帖子 baaltommysu » 2011-01-30 23:18

今天使用skype想和家里视频,发现摄像头不能使用,后来在论坛上搜了一下发现可以用
LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so /usr/bin/skype
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so /usr/bin/skype
这两个命令打开,第一个命令打开skype之后摄像头还是不能用,我查了一下说需要安装lib32v4l-0我就在终端输入了
sudo apt-get install lib32v4l-0,后来显示说没有办法找到lib32v4l-0安装包。
使用第二个命令可以打开视频,不过是花屏,请问各位有什么好的解决办法?
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: skype不能识别摄像头

#2

帖子 lainme » 2011-01-30 23:22

这个包应该是默认装了的,我这里可以搜索到。你再检查下包名称是否正确

可以在系统-》首选项-》多媒体系统选择器里面先测试,有些摄像头需要v4l2,而不是v4l。具体如何最好能根据摄像头型号进行搜索
baaltommysu
帖子: 26
注册时间: 2010-10-15 23:29
送出感谢: 0
接收感谢: 0

Re: skype不能识别摄像头

#3

帖子 baaltommysu » 2011-01-31 3:56

我在系统-》首选项里面没有找到多媒体选择器啊。
lainme 写了:这个包应该是默认装了的,我这里可以搜索到。你再检查下包名称是否正确

可以在系统-》首选项-》多媒体系统选择器里面先测试,有些摄像头需要v4l2,而不是v4l。具体如何最好能根据摄像头型号进行搜索
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: skype不能识别摄像头

#4

帖子 lainme » 2011-01-31 11:10

那就alt+f2,输入 gstreamer-properties 打开,默认没显示吧
头像
rapistor
帖子: 1982
注册时间: 2009-01-19 15:09
送出感谢: 4 次
接收感谢: 8 次

Re: skype不能识别摄像头

#5

帖子 rapistor » 2011-01-31 23:13

在主菜单中可以勾选。
坚守在linux的天堂!
baaltommysu
帖子: 26
注册时间: 2010-10-15 23:29
送出感谢: 0
接收感谢: 0

Re: skype不能识别摄像头

#6

帖子 baaltommysu » 2011-01-31 23:41

已经搞定了,谢谢了
lainme 写了:那就alt+f2,输入 gstreamer-properties 打开,默认没显示吧
baaltommysu
帖子: 26
注册时间: 2010-10-15 23:29
送出感谢: 0
接收感谢: 0

Re: skype不能识别摄像头

#7

帖子 baaltommysu » 2011-01-31 23:42

摄像头已经搞定了,谢谢
rapistor 写了:在主菜单中可以勾选。
回复

回到 “老旧版本支持”